* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /* font-family: 'Roboto Serif' , serif , 'Roboto', serif; */
}
body {
    overflow-x: hidden;
    max-width: 1920px;
    /* background-color: #dfdede; */
    /* background-color: #CCD3F2; */
}

h1 {
    font-family: 'Roboto serif' , serif;
    font-weight: 500;
}

h2,p {
    font-family: 'Roboto flex' , sans-serif;
    font-weight: 300;
}


/* ----------navigation---------- */




header {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    height: 90px;
    width: 100%;
    margin: auto;
    position: sticky;
    /* background-color: white; */
    background-color: #ffffff;
    z-index: 999;
    top: 0;
    font-family: 'Roboto Flex' , sans-serif;
}

header nav li a {
    opacity: 60%;
}
nav {
    display: flex;
    align-items: center;
    margin: auto;
    position: relative;
    /* position: absolute;
    right: 0px; */
    width: 90vw;
    font-weight: 400;
    font-size: 12px;
    letter-spacing: 2.5px;
}  
.logo { 
    display: flex;
    /* position: absolute;
    left: 0; */
    z-index: 1000;
}
.nav_links {
    display: flex;
    align-items: flex-start;
    text-transform: uppercase;
    justify-content: flex-end;
    width: 100%;
    position: relative;
    gap: 50px;
}
.nav_links li {
    list-style: none;
}

.nav_links li a {
    text-decoration: none;
    /* color: #272b3b; */
    color:#272b3b;
    opacity: 60%;
}
.nav_links li a:hover {
    /* color: #272b3b; */
    color: #272b3b;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;
    /* text-decoration-color: #272b3b; */
    text-decoration-color: #F8CB12;
    opacity: 100%;
    transition: opacity 300ms ease-in-out;
    -webkit-transition: opacity 300ms ease-in-out;
}
.nav_menu {
    visibility: hidden;
}

.yellow_logo {
    height: 80px;
    width: 80px;
    background-image: url("My Work/Logos/Logo_blue.svg");
    background-position: center;
    background-repeat: no-repeat;
    opacity: .85;
}
.yellow_logo:hover {
    background-image: url("My Work/Logos/Logo_yellow.svg");
    opacity: 1;
}
.underline {
    color: #272b3b;
    text-decoration: underline;
    text-decoration-thickness: 2px;
    text-underline-offset: 5px;
    text-decoration-color: #272b3b;
}
.hamburger {
    display: none;
    cursor: pointer;
    transition: 300ms;
}


/* ----------------------About / Contact------------------------ */


footer {
    display: grid;
    margin: auto;
    grid-auto-flow: row;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: auto;
    column-gap: 1vw;
    flex-wrap: wrap;
    justify-content: center;
}
hr {
    margin-left: auto;
    margin-right: auto;
    width: 90vw;
    border: none;
    background-color: #272b3b;
    height: 1.25px;
    opacity: 75%;
}
/* .topline {
    margin-top: 45px;
    margin-bottom: 45px;
} */
.bottomline {
    margin-left: auto;
    margin-right: auto;
    grid-column: 1 / 9;
    border: none;
    background-color: #272b3b;
    height: 1.25px;
    opacity: 75%;
    width: 100%;
}
.intro {
    /* background-color: #272b3b; */
    background-color: #ffffff;
    /* opacity: 30%; */
    background-image: url('My Work/Home_page/Website_Opening_GIF_Yellow.gif');
    background-size: 100%;
    background-position-y: 35%;
    /* background-image: linear-gradient(to bottom right, #272b3b, #484F69) */
}
.intro_copy {
    grid-column: 1 / 11;
    grid-row: 1;
    color: #272b3b;
    /* color: #ffffff; */
    margin: 15vw 0;
}
.footer_div {
    /* background-color: #CCD3F2; */
    background-color: #272b3b;
    margin-top: 5vw;
    /* height: 300px; */
    /* padding-bottom: 3vw; */
    border-radius: 2rem 2rem 0 0;
}
#about {
    height: 50vw;
    width: 90vw;
    padding-top: 2vh;
    font-size: 7rem;
    letter-spacing: -1.55px;
    line-height: 12rem;
    font-weight: 600;
    /* text-align: center; */
    color: #1e4ca129;
}
#hi {
    font-size: 6rem;
    font-weight: 200;
    line-height: 6rem;
}
#graphic {
    font-size: 2rem;
    font-weight: 200;
    line-height: 3rem;
}
#johnson {
    text-align: right;
}
#contact {
    width: 90vw;
    padding-top: 4vw;
    /* padding-bottom: 90px; */
}



.contactme {
    grid-column: 1 / 9;
    grid-row: 3;
    color: #ffffffab; 
    padding-top: 2vw;
    /* padding-bottom: 90px; */
    font-size: 7vw;
    letter-spacing: -1.55px;
}
.contactme_text {
    grid-column: 5 / 8;
    grid-row: 1;
    font-weight: 300;
    font-size: 20px;
    text-align: left;
    line-height: 30px;
    letter-spacing: -.55px;
    color: #ffffffab;
    display: flex;
    align-content: center;

}
.contactme_text p a {
    color: #ffffffab;
    text-decoration: none; 
    font-weight: 500;
    /* text-underline-offset: 0.5em; */
}
.contactme_text p a:hover {
    color: #ffffff;
    text-decoration: underline;
    text-decoration-thickness: 1.5px;
    text-underline-offset: 5px;
    text-decoration-color: #F8CB12;
}
.contactme_text p{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.more_socials {
    position: relative;
    flex-direction: column;
    align-content: center;
    grid-column: 8 / 9;
    grid-row: 1;
    display: flex;
    justify-content: center;
    /* align-content: space-around;
    align-items: baseline; */
}
.social_link {
    text-decoration: none;
    font-size: 11px;
    font-weight: 500;
    line-height: 30px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #ffffff;
    opacity: 60%;
    font-family: 'Roboto Flex' , sans-serif;
}
.social_link:hover{
    text-decoration: underline;
    text-decoration-color: #F8CB12;
    color: #ffffff;
    opacity: 100%;
    text-decoration-thickness: 1px;
    text-underline-offset: 5px;
    transition: opacity 300ms ease-in-out;
    -webkit-transition: opacity 300ms ease-in-out;
}
#instagram:hover > #instagram_arrow { 
    opacity: 1;
}
#linkedIn:hover > #linkedIn_arrow { 
    opacity: 1;
}
#email:hover > #email_arrow { 
    opacity: 1;
}

.more_socials img{
    height: 10px;
    padding-right: 10px;
    opacity: 60%;
}
.socials {
    padding: 2px 0;
}


/* ------------------------About me-------------------------- */



.about_section {
    width: 90vw;
    height: 100%;
    margin-top: 15px;
    display: grid;
    margin: auto;
    padding-top: 40px;
    padding-bottom: 80px;
    grid-auto-flow: row;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: auto;
    column-gap: 20px;
    flex-wrap: wrap;
}
.about_copy {
    grid-column: 1 / 5;
    grid-row: 1;
    color: #272b3b;
    opacity: 25%;
    margin: auto auto 45px auto;
}
#nathanael_copy {
    color: #272b3b;
    opacity: 85%;
}

.about_me {
    grid-column: 1 / 5;
    color: #272b3b;
    /* padding-right: 70px; */
}
.about_me h2 {
    font-size: 22px;
    font-weight: 100;
    line-height: 38px;
    padding-bottom: 38px;
    font-family: 'Roboto flex' , sans-serif;
}

.picture_me {
    grid-column: 6 / 9;
    height: 45vw;
    width: 100%;
    background-image: url("My Work/Logos/Portrait_Me.jpg");
    background-position: center;
    background-size: 135%;

    /* transition: 5s;
    animation: animate 15s ease-in-out infinite alternate-reverse forwards;  
}
@keyframes animate {
    0%{
        background-image: url("My Work/IIRIS/IIRIS_Home.png");
    }
    50%{
        background-image: url("My Work/MRLP/MRLP_man&girl.jpg");
    }
    100%{
        background-image: url("My Work/Home_page/Website_Opening_GIF_Blue_Yellow.gif");
    } */
}

#believe {
    font-size: 34px;
    font-weight: 400;
    line-height: 46px;
    font-family: 'Roboto serif' , serif;
    opacity: 70%;
    padding-bottom: 38px;
}


/* -------  1500px ------- */


@media only screen and (max-width: 1500px){
    
    .body {
        max-width: 1500px;
    }
    #about {
        font-size: 6.5rem;
        line-height: 11rem;
    }
    .about_section {
        margin: 5vw auto 0 auto;
    }


}


/* -------  1320px ------- */


@media only screen and (max-width: 1320px){
    
    .body {
        max-width: 1320px;
    }
    .about_section {
        margin: auto;
    }
    #about {
        font-size: 8vw;
        line-height: 14vw;
        height: 60vw;
    }
    #hi {
        font-size: 7vw;
        line-height: 8vw; 
    }

}



/* -------  1080px ------- */


@media only screen and (max-width: 1080px){
    
    .body {
        max-width: 1080px;
    }

    .contactme_text {
        font-size: 1rem;
    }
    .social_link {
        font-size: .55rem;
    }
}



/* -------  920px ------- */



@media only screen and (max-width: 920px){

    .body {
        max-width: 920px;
    }
    
    @media (max-width:920px){
     
        .hamburger {
            display: block;
            opacity: 100%;
        }
        .hamburger.active .bar:nth-child(2){
            opacity: 0;
        }
        .hamburger.active .bar:nth-child(1){
            transform: translateY(10px) rotate(45deg);
            background-color: #262c49;
            transition: 300ms;
        }
        .hamburger.active .bar:nth-child(3){
            transform: translateY(-10px) rotate(-45deg);
            background-color: #262c49;
            transition: 300ms;
        }
        .nav_links {
            visibility: hidden;
        }
        .nav_menu {
            position: fixed;
            display: flex;
            justify-content: space-evenly;
            visibility: visible;
            right: -150%;
            top: 0;
            gap: 0;
            height: 100vh;
            width: 100%;
            background-color: #F8CB12;
            text-align: center;
            flex-direction: column;
            transition: all 500ms ease-in-out;
            text-transform: uppercase;
            padding-left: 4vw;
            padding-top: 40vh;
        }
        .nav_menu_links {
            display: flex;
            justify-content: space-between;
        }
        .nav_menu a{
            font-size: 6vw;
            font-weight: 400;
            line-height: 5vw;
            color: #262c49;
            text-decoration: none;
            transition: letter-spacing 300ms ease-out;
            -webkit-transition: letter-spacing 300ms ease-out;
        }
        .nav_menu li {
            list-style: none;
        }
        .nav_menu li a:hover {
            /* color: #272b3b; */
            color: #262c49;
            text-decoration: underline;
            text-decoration-thickness: 4px;
            text-underline-offset: 7px;
            /* text-decoration-color: #272b3b; */
            text-decoration-color: #262c49;
            opacity: 100%;
            letter-spacing: 5px;
        }
        .nav_menu.active {
            right: 0;
        }
        .bar {
            display: block;
            width: 30px;
            height: 3px;
            margin: 7px auto;
            -webkit-transition: all 300ms ease-in-out;
            background-color: #262c49;
            opacity: 60%;
        }
        header.scrolled .bar {
            background-color: #262c49;
            opacity: 1;
        }
    }

    .nav_links li {
        font-size: .7rem;
    }
    .yellow_logo {
        height: 60px;
        width: 60px;
    }
    .yellow_logo:hover {
        height: 60px;
        width: 60px;
    }

    .picture_me {
        display: none;
    }
    .about_me {
        grid-column: 1 / 9;
        color: #272b3b;
        /* padding-right: 70px; */
    }
    .about_me h2 {
        padding-bottom: 20px;
    }

    .contactme {
        grid-column: 1 / 9;
    }
    .contactme_text {
        grid-column: 1 / 7;
        grid-row: 2;
    }
    .more_socials {
        grid-column: 7 / 9;
        grid-row: 1 / 3;
        justify-content: space-evenly;
    }  
    .social_link {
        letter-spacing: 1px;
    } 
    #believe {
        font-size: 36px;
        line-height: 46px;
        padding-bottom: 20px;
    }

}


/* -----------600px------------- */

@media only screen and (max-width: 600px){

    .body {
        max-width: 720px;
    }

    header {
        height: 17vw;  
    }
    .nav_links {
        gap: 15px;
    }
    .nav_links li {
        font-size: 9px;
    }
    .about_section {
        padding-bottom: 0;
    }
    .about_me h2 {
        font-size: 18px;
        font-weight: 150;
        line-height: 28px;
        padding-bottom: 20px;
    }
    #about {
        text-align: right;
    }
    #hi {
        text-align: left;
    }
    #believe {
        font-size: 28px;
        line-height: 36px;
    }

    footer {
        grid-template-columns: repeat(5, 1fr);
    }
    

    .picture_me {
        display: none;
     }
    
   .contactme {
        grid-column: 1 / 5;
        font-size: 5vw;
    }
    .contactme_text {
        grid-column: 1 / 5;
        font-size: 12px;
        line-height: 17px;
    }
    .social_link {
        font-size: 8px;
        line-height: 14px;
    }
    .more_socials {
        grid-column: 4 / 6;
        grid-row: 2 / 3;
        justify-content: start;
    }
    .more_socials img {
        height: 8px;
    }
    .socials {
        padding: 0;
    }
}